Subject: Re[2]: [PATCH 4/5] git-svn: fix bottleneck in stash_placeholder_list()

From: Ilya Basin <[email-masked]>
Date: Fri, 3 May 2013 09:26:42 +0400

EW> Ilya Basin <[email-masked]> wrote:
>> Hi. I won't send you updated patches until I import and test my huge
>> repo. Everything will be here:
>> https://github.com/basinilya/git/commits/v1.8.2.2-git-svn-fixes
>> 
>> At the moment I've decided not to implement the Junio's proposal:
>> > >> JCH> comment line "# added by git-svn only to keep the directory" and
>> > >> JCH> consider a directory that has nothing but .gitignore that consists
>> > >> JCH> of only that exact comment line an "added placeholder" directory to
>> > >> JCH> work it around.
>> 
>> But the config file is not an option too: I have 400 tags, each has
>> 200 empty folders.
>> 
>> Instead I decided to store the paths in a text file (see
>> https://github.com/basinilya/git/commit/a961aedd81cb8676a52cfe71ccb6eba0f9e64b90 ).
>> I'm not planning to push this change to you.
>> 
>> The last error I encountered is:
>> r7009 = 39805bb078983e34f2fc8d2c8c02d695d00d11c0 (refs/remotes/DMC4_Basic)
>> Too many open files: Can't open file '/home/il/builds/sicap/gitsvn/prd_dmc4.svn/db/revs/0/786': Too many open files at /.snapshots/persist/builds/git/git-git/perl/blib/lib/Git/SVN/Ra.pm line 282.
>> 
>> I think It's unrelated to empty dirs.

EW> Can you get an lsof on the git-svn process right before this?
    /.snapshots/persist/builds/sicap/gitsvn/aaa/.git/A4O_OTQxWc
    /.snapshots/persist/builds/sicap/gitsvn/aaa/.git/LfpcENJduN
    /.snapshots/persist/builds/sicap/gitsvn/aaa/.git/Dkk7pN4Mpz
    etc.

EW> What's your open files limit?
1024

--